"""===============================================================
با نگرش به اینکه اولین سال کبیسه سال دوم هجری شمسی بوده است منطق
برنامه ای را طراحی کنید که سال N را در ورودی دریافت کند و مشخص کند
که آیا این سال یک سال کبیسه است یا نه و تعداد سالهای کبیسه تا
این سال را نیز محاسبه و چاپ کند.
==============================================================="""

n = int(input("Please enter N: "))

if (n-2)%4 == 0:
    print("="*20,"\nYes")
else:
    print("="*20,"\nNo")

numbers = 0
for count in range(2,n+1,4):
    numbers += 1

print("="*20,"\nNumber of Year: ",numbers)